Bug 557552 - Available repos do not appear when re-creating an RHN Hosted Source content provider
Summary: Available repos do not appear when re-creating an RHN Hosted Source content p...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: RHQ Project
Classification: Other
Component: Content
Version: 1.4
Hardware: All
OS: Linux
medium
high vote
Target Milestone: ---
: ---
Assignee: Jay Dobies
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: rhq_spearhead
TreeView+ depends on / blocked
 
Reported: 2010-01-21 19:28 UTC by John Sefler
Modified: 2010-03-19 17:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-19 17:06:02 UTC


Attachments (Terms of Use)

Description John Sefler 2010-01-21 19:28:42 UTC
Description of problem:
Repositories do not appear in the GUI upon re-creating the content provider


Version-Release number of selected component (if applicable):
master and content branch

How reproducible:


Steps to Reproduce:
1. create an RHN Hosted Source content provider
2. Sync it
3. Verify its list of provided repos appear
4. Delete it
5. create a new RHN Hosted Source content provider (using same new name or a different name)
6. Sync it
BANG!  Its repos never populate in the GUI even though the logs appear to be fetching the repo names.

Comment 1 Jay Dobies 2010-02-09 17:36:17 UTC
Commit    1c1c31a90b52e5a9f490733cd46a180a8df6b15e

ContentSourceManagerBean.java
RepoManagerBean.java
RepoManagerBeanTest.java

Need to delete orphaned candidate repos before removing their association to the content source, otherwise the delete call doesn't find any candidates to delete. Removed some redundant deletes given the cascade settings of ContentSource.

Comment 2 Corey Welton 2010-03-19 17:06:02 UTC
QA Closing this bug - essentially untestable at this point.


Note You need to log in before you can comment on or make changes to this bug.